# std::swap(std::promise)

From cppreference.com
< cpp‎ | thread‎ | promise

Defined in header `<future>` |  |
template< class R > void swap( promise<R> &lhs, promise<R> &rhs ) noexcept; |  | (since C++11)

Specializes the std::swap algorithm for std::promise. Exchanges the shared state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | promises whose states to swap

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

swap | swaps two promise objects (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/promise/swap2&oldid=93356"